Package com.logicaldoc.core.security.authentication

# Class InvalidSessionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.logicaldoc.core.security.authentication.AuthenticationException
com.logicaldoc.core.security.authentication.InvalidSessionException

All Implemented Interfaces:
  `Serializable`

public class InvalidSessionException extends AuthenticationException
Raised when a session is not valid

Since:
  8.8.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InvalidSessionException()`
`InvalidSessionException(String sid)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSid()`

### Methods inherited from class com.logicaldoc.core.security.authentication.AuthenticationException

`getAuthenticator, mustRecordFailure, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InvalidSessionException

public InvalidSessionException()

### InvalidSessionException

public InvalidSessionException(String sid)

## Method Details

### getSid

public String getSid()